#!/bin/sh
#!/bin/bash
# simple Bash Menu Script by jackluke


printf '\e[93m;%s\a' "$color"

printf "$'\e[40m' Mojave MBP 6,2 DualGPUs fix by jackluke"

printf "\n\n\n"

clear && printf '\e[3J'
echo "\nWelcome to the Mojave MBP 6,2 mid 2010 DualGPUs safe and harmless fix\n"
echo "required for Brightness HUD, sleep function, random KPs and MUX GPU switching\n"
echo "\nMojave DualGPUs fix can't be executed as standard user if you want to suspend the script just press CTRL+Z"
echo "\nto apply this fix your current account password is required\notherwise the script can't process\n"
echo "\nSetting nvram parameter to enforce compatibility check"
sudo nvram boot-args="-no_compat_check"
echo "Done"
echo "\nPlease re-type password when required\n"
echo "\nCreating backup for Mojave DualGPUs Extensions\n"
if [[ ! -e ~/DualGPUsbackup/ ]]; then
    sudo mkdir -p ~/DualGPUsbackup/
    sudo cp -R -a /System/Library/Extensions/AppleGraphics*.kext ~/DualGPUsbackup/
sudo cp -R -a /System/Library/Extensions/AppleMCCSControl.kext ~/DualGPUsbackup/
sudo cp -R -a /System/Library/PrivateFrameworks/GPUWrangler.framework ~/DualGPUsbackup/
fi
echo "Done"
echo "\nCopying and replacing the required Extensions for Mojave DualGPUs \n"
sudo cp -R -a ~/Downloads/Mojave10145DualGpuFix/Ext/*.kext /System/Library/Extensions/
sudo chmod -R 755 /S*/L*/E*
sudo chown -R 0:0 /S*/L*/E*
echo "Done"
echo "\nCopying the required PrivateFramework for Mojave DualGPUs \n"
sudo cp -R -a ~/Downloads/Mojave10145DualGpuFix/Ext/*.framework2 /System/Library/PrivateFrameworks/
echo "Done"
echo "\nPlease re-type password when required\n"
echo "\nRebuilding the new kextcache (This will take a while)\n\nDon't worry if you get some warning on GeForceTesla , AppleGraphicsPowerManagment or AppleIntelHD, it's normal routine since they are still allowed in the prelinkedkernel\n"
sudo chmod -R 755 /S*/L*/E*
sudo chown -R 0:0 /S*/L*/E*
sudo kextcache -i /
echo "Done"
echo "\nAfter decide to reboot hold CMD+S (single user mode) and proceed to manual replace of GPUWrangler.framework as explained in the pdf file\n"